From 822236be662585e35acaaf9f46df6a633fec5a5c Mon Sep 17 00:00:00 2001
From: Janani TE <janani.te@multicorewareinc.com>
Date: Wed, 19 Aug 2020 17:26:17 +0530
Subject: [PATCH] Fixing x265 git binary version in cmake

---
 source/cmake/version.cmake | 10 +---------
 1 file changed, 1 insertion(+), 9 deletions(-)

diff --git a/source/cmake/version.cmake b/source/cmake/version.cmake
index b1e995f..3530224 100644
--- a/source/cmake/version.cmake
+++ b/source/cmake/version.cmake
@@ -65,15 +65,7 @@ elseif(HG_EXECUTABLE AND EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../.hg)
 elseif(GIT_EXECUTABLE AND EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../.git)
     execute_process(
         COMMAND
-        ${GIT_EXECUTABLE} rev-list --tags --max-count=1
-        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
-        OUTPUT_VARIABLE X265_LATEST_TAG_COMMIT
-        ERROR_QUIET
-        OUTPUT_STRIP_TRAILING_WHITESPACE
-        )
-    execute_process(
-        COMMAND
-        ${GIT_EXECUTABLE} describe --tags ${X265_LATEST_TAG_COMMIT}
+        ${GIT_EXECUTABLE} describe --abbrev=0 --tags
         WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
         OUTPUT_VARIABLE X265_LATEST_TAG
         ERROR_QUIET
-- 
1.8.3.1

